rpm libbz2 dependencies - Linux

This is a discussion on rpm libbz2 dependencies - Linux ; Hi all, I am trying to install a library to read Paradox database files called pxlib which I downloaded from its home site ( http://pxlib.sourceforge.net/ ). I have some dependency issues though. # rpm -Uvh pxlib-0.4.3-1.i386.rpm error: Failed dependencies: libbz2.so.1.0 ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: rpm libbz2 dependencies

  1. rpm libbz2 dependencies

    Hi all,

    I am trying to install a library to read Paradox database files called
    pxlib which I downloaded from its home site
    (http://pxlib.sourceforge.net/). I have some dependency issues though.

    # rpm -Uvh pxlib-0.4.3-1.i386.rpm
    error: Failed dependencies:
    libbz2.so.1.0 is needed by pxlib-0.4.3-1.i386

    but when I look into my libraries I find the necessary ones under
    /usr/lib:

    # ll /usr/lib/libbz2*
    -rwxr-xr-x 1 root root 67594 Jun 15 2004 /usr/lib/libbz2.a
    lrwxrwxrwx 1 root root 11 Feb 6 11:02 /usr/lib/libbz2.so ->
    libbz2.so.1
    lrwxrwxrwx 1 root root 15 Feb 6 10:10 /usr/lib/libbz2.so.1 ->
    libbz2.so.1.0.2
    lrwxrwxrwx 1 root root 24 Mar 8 09:41 /usr/lib/libbz2.so.1.0 ->
    /usr/lib/libbz2.so.1.0.2
    -rwxr-xr-x 1 root root 71724 Jun 15 2004 /usr/lib/libbz2.so.1.0.2

    I created the second-to-last symlink to help rpm find the library, but
    the response is the same. I also added '/usr/lib' to /etc/ld.so.conf as
    suggested in another thread.

    I've got a Fedora Core 3 box with both apt and yum installed and,
    according to both, I've got the latest libbz2 libraries (bzip2-libs).

    Thanks.
    Rex


  2. Re: rpm libbz2 dependencies

    Hi,
    I already fixed the issue. Somebody suggested I use --nodeps under rpm.
    Since there are actually no dependency conflicts other than the package
    assuming there are, I tried it and it worked just fine.

    Is there a better way to do this?
    Thanks.
    Rex


+ Reply to Thread